---
title: PaymentRequestUpdateEvent
slug: Web/API/PaymentRequestUpdateEvent
tags:
  - API
  - Experimental
  - Interface
  - Payment Request
  - Payment Request API
  - PaymentRequestUpdateEvent
  - Reference
  - Secure context
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p>The <code><strong>PaymentRequestUpdateEvent</strong></code> interface is used for events sent to a {{domxref("PaymentRequest")}} instance when changes are made to shipping-related information for a pending {{domxref("PaymentRequest")}}. Those events are:</p>

<dl>
 <dt>{{domxref("PaymentRequest.shippingaddresschange_event", "shippingaddresschange")}} {{securecontext_inline}}</dt>
 <dd>Dispatched whenever the user changes their shipping address.<br>
 Also available using the {{domxref("PaymentRequest.onshippingaddresschange", "onshippingaddresschange")}} event handler property.</dd>
 <dt>{{domxref("PaymentRequest.shippingoptionchange_event", "shippingoptionchange")}} {{securecontext_inline}}</dt>
 <dd>Dispatched whenever the user changes a shipping option.<br>
 Also available using the {{domxref("PaymentRequest.onshippingoptionchange", "onshippingoptionchange")}} event handler property.</dd>
</dl>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("PaymentRequestUpdateEvent.PaymentRequestUpdateEvent()","PaymentRequestUpdateEvent()")}} {{securecontext_inline}}</dt>
 <dd>Creates a new <code>PaymentRequestUpdateEvent</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Provides only the properties inherited from its parent interface, {{domxref("Event")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>In addition to methods inherited from the parent interface, {{domxref("Event")}}, <code>PaymentRequestUpdateEvent</code> offers the following methods:</em></p>

<dl>
 <dt>{{domxref("PaymentRequestUpdateEvent.updateWith()")}} {{securecontext_inline}}</dt>
 <dd>If the event handler determines that information included in the payment request needs to be changed, or that new information needs to be added, it calls <code>updateWith()</code> with the information that needs to be replaced or added.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#paymentrequestupdateevent-interface','PaymentRequestUpdateEvent')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentRequestUpdateEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
</ul>
</div>
